summaryrefslogtreecommitdiff
path: root/media/libvorbis/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'media/libvorbis/update.sh')
-rwxr-xr-x[-rw-r--r--]media/libvorbis/update.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/media/libvorbis/update.sh b/media/libvorbis/update.sh
index ae82a8d8b3..b2ad0b23cb 100644..100755
--- a/media/libvorbis/update.sh
+++ b/media/libvorbis/update.sh
@@ -1,4 +1,8 @@
-# Usage: /bin/sh update.sh <vorbis_src_directory>
+#!/bin/sh
+if test $# -ne 1; then
+ echo "Usage: /bin/sh update.sh <vorbis_src_directory>"
+ exit 1
+fi
#
# Copies the needed files from a directory containing the original
# libvorbis source that we need for the Mozilla HTML5 media support.
@@ -44,9 +48,9 @@ cp $1/lib/codebook.c ./lib/vorbis_codebook.c
cp $1/lib/bitrate.c ./lib/vorbis_bitrate.c
cp $1/lib/block.c ./lib/vorbis_block.c
cp $1/include/vorbis/codec.h ./include/vorbis/codec.h
-cp $1/todo.txt ./todo.txt
+cp $1/CHANGES ./CHANGES
cp $1/COPYING ./COPYING
-cp $1/README ./README
+cp $1/README.md ./README.md
cp $1/AUTHORS ./AUTHORS
# Encoder support
@@ -81,4 +85,4 @@ cp $1/lib/books/floor/floor_books.h ./lib/books/floor/
cp $1/lib/books/uncoupled/res_books_uncoupled.h ./lib/books/uncoupled/
# Add any patches against upstream here.
-# ...nothing to apply...
+